Subject: Apology

From: [email-masked]
Date: Wed, 02 Mar 94 00:14:31 EST

I am sorry for the inconvenience of sending this chain letter to the mailing
list, but I didn't want to break tradition!  (And I got it via mailing list
which I don't even know how I got on, if it's any consolation!)

[email-masked]